## org.osgi.service.repository
Interface Repository

All Known Implementing Classes:
  CompositeRepository, ContentRepository, LocalRepository, PreferredProviderRepository, RepositoryServiceRepository, SystemRepository

    public interface Repository

A repository service that contains `resources`.

Repositories may be registered as services and may be used as by a resolve context during resolver operations.

Repositories registered as services may be filtered using standard service properties.

Version:
  $Id$

Field Summary
`static String` `URL` Service property to provide URLs related to this repository.

Method Summary
`Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>>` `findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)` Find the capabilities that match the specified requirements.

Field Detail

### URL

    static final String URL

  Service property to provide URLs related to this repository.

  The value of this property must be of type `String`, `String[]`, or `Collection<String>`.

  See Also:
    Constant Field Values

Method Detail

### findProviders

    Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>> findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)

  Find the capabilities that match the specified requirements.

  Parameters:
    `requirements` - The requirements for which matching capabilities should be returned. Must not be `null`.
  Returns:
    A map of matching capabilities for the specified requirements. Each specified requirement must appear as a key in the map. If there are no matching capabilities for a specified requirement, then the value in the map for the specified requirement must be an empty collection. The returned map is the property of the caller and can be modified by the caller.

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.